pesa        15/05/09 18:19:31

  Modified:             ChangeLog qt4-build-multilib.eclass
  Log:
  Update from qt overlay: overhaul toolchain and *FLAGS handling for proper 
multilib support during the configure phase. Fixes bug #545106.

Revision  Changes    Path
1.1607               eclass/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1607&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?rev=1.1607&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/ChangeLog?r1=1.1606&r2=1.1607

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v
retrieving revision 1.1606
retrieving revision 1.1607
diff -u -r1.1606 -r1.1607
--- ChangeLog   9 May 2015 15:33:21 -0000       1.1606
+++ ChangeLog   9 May 2015 18:19:31 -0000       1.1607
@@ -1,6 +1,10 @@
 # ChangeLog for eclass directory
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1606 2015/05/09 
15:33:21 mrueg Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.1607 2015/05/09 
18:19:31 pesa Exp $
+
+  09 May 2015; Davide Pesavento <[email protected]> qt4-build-multilib.eclass:
+  Update from qt overlay: overhaul toolchain and *FLAGS handling for proper
+  multilib support during the configure phase. Fixes bug #545106.
 
   09 May 2015; Manuel RĂ¼ger <[email protected]> kde5.eclass:
   Sync with overlay.



1.11                 eclass/qt4-build-multilib.eclass

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/qt4-build-multilib.eclass?rev=1.11&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/qt4-build-multilib.eclass?rev=1.11&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/eclass/qt4-build-multilib.eclass?r1=1.10&r2=1.11

Index: qt4-build-multilib.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/qt4-build-multilib.eclass,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- qt4-build-multilib.eclass   22 Apr 2015 20:23:47 -0000      1.10
+++ qt4-build-multilib.eclass   9 May 2015 18:19:31 -0000       1.11
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build-multilib.eclass,v 1.10 
2015/04/22 20:23:47 pesa Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/qt4-build-multilib.eclass,v 1.11 
2015/05/09 18:19:31 pesa Exp $
 
 # @ECLASS: qt4-build-multilib.eclass
 # @MAINTAINER:
@@ -208,12 +208,16 @@
                QMakeVar set QMAKE_LFLAGS_DEBUG\n' \
                configure || die "sed QMAKE_*FLAGS_{RELEASE,DEBUG} failed"
 
-       # Respect CC, CXX, LINK and *FLAGS in config.tests
+       # Drop -nocache from qmake invocation in all configure tests, to ensure 
that the
+       # correct toolchain and build flags are picked up from 
config.tests/.qmake.cache
        find config.tests/unix -name '*.test' -type f -print0 | xargs -0 \
-               sed -i -e "/bin\/qmake/ s: \"\$SRCDIR/: \
-                       'QMAKE_CC=$(tc-getCC)'    'QMAKE_CXX=$(tc-getCXX)'      
'QMAKE_LINK=$(tc-getCXX)' \
-                       'QMAKE_CFLAGS+=${CFLAGS}' 'QMAKE_CXXFLAGS+=${CXXFLAGS}' 
'QMAKE_LFLAGS+=${LDFLAGS}'&:" \
-               || die "sed config.tests failed"
+               sed -i -e '/bin\/qmake/s/ -nocache//' || die "sed -nocache 
failed"
+
+       # compile.test needs additional patching so that it doesn't create 
another cache file
+       # inside the test subdir, which would incorrectly override 
config.tests/.qmake.cache
+       sed -i -e '/echo.*QT_BUILD_TREE.*\.qmake\.cache/d' \
+               -e '/bin\/qmake/s/ "$SRCDIR/ "QT_BUILD_TREE=$OUTDIR"&/' \
+               config.tests/unix/compile.test || die "sed compile.test failed"
 
        # Delete references to the obsolete /usr/X11R6 directory
        # On prefix, this also prevents looking at non-prefix stuff
@@ -339,6 +343,18 @@
                -arch ${arch}
                -platform $(qt4_get_mkspec)
 
+               # instruction set support
+               $(is-flagq -mno-mmx     && echo -no-mmx)
+               $(is-flagq -mno-3dnow   && echo -no-3dnow)
+               $(is-flagq -mno-sse     && echo -no-sse)
+               $(is-flagq -mno-sse2    && echo -no-sse2)
+               $(is-flagq -mno-sse3    && echo -no-sse3)
+               $(is-flagq -mno-ssse3   && echo -no-ssse3)
+               $(is-flagq -mno-sse4.1  && echo -no-sse4.1)
+               $(is-flagq -mno-sse4.2  && echo -no-sse4.2)
+               $(is-flagq -mno-avx     && echo -no-avx)
+               $(is-flagq -mfpu=*      && ! is-flagq -mfpu=*neon* && echo 
-no-neon)
+
                # prefer system libraries
                -system-zlib
 




Reply via email to